Bug 199012 - NullPointerException at org.netbeans.modules.cnd.refactoring.support.CsmRefactoringUtils.isElementInOpenProject
NullPointerException at org.netbeans.modules.cnd.refactoring.support.CsmRefac...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
7.0
All All
: P3 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-31 05:57 UTC by Exceptions Reporter
Modified: 2011-09-26 13:34 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.04 KB, text/plain)
2011-05-31 05:57 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2011-05-31 05:57:03 UTC
This issue was reported manually by vv159170.
It already has 1 duplicates 


Build: NetBeans IDE 7.0 (Build 201104080000)
VM: OpenJDK 64-Bit Server VM, 20.0-b11, OpenJDK Runtime Environment, 1.6.0_22-b22
OS: Linux

Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.refactoring.support.CsmRefactoringUtils.isElementInOpenProject(CsmRefactoringUtils.java:106)
   at org.netbeans.modules.cnd.refactoring.plugins.CsmModificationRefactoringPlugin.checkIfModificationPossibleInFile(CsmModificationRefactoringPlugin.java:153)
   at org.netbeans.modules.cnd.refactoring.plugins.CsmModificationRefactoringPlugin.checkIfModificationPossible(CsmModificationRefactoringPlugin.java:110)
   at org.netbeans.modules.cnd.refactoring.plugins.CsmRenameRefactoringPlugin.preCheck(CsmRenameRefactoringPlugin.java:138)
   at org.netbeans.modules.refactoring.api.AbstractRefactoring.pluginsPreCheck(AbstractRefactoring.java:364)
   at org.netbeans.modules.refactoring.api.AbstractRefactoring.preCheck(AbstractRefactoring.java:193)
Comment 1 Exceptions Reporter 2011-05-31 05:57:06 UTC
Created attachment 108608 [details]
stacktrace
Comment 2 Alexander Simon 2011-08-10 13:03:02 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/1140d3ba03a1
Comment 3 Quality Engineering 2011-08-10 21:31:52 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/1140d3ba03a1
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #199012 NullPointerException at org.netbeans.modules.cnd.refactoring.support.CsmRefactoringUtils.isElementInOpenProject
Comment 4 Alexander Simon 2011-08-15 10:25:24 UTC
Fix trancplanted to release701_fixes on elif:
1140d3ba03a1 transplanted to 511c20a6ac45
Comment 5 Alexander Pepin 2011-08-19 13:30:44 UTC
verified in dev build #22 (20110818).
Comment 6 Alexander Simon 2011-08-24 11:28:46 UTC
integrated in release701_fixes:
511c20a6ac45 transplanted to 675fecb93fb5
Comment 7 Quality Engineering 2011-08-25 04:25:45 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/675fecb93fb5
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #199012 NullPointerException at org.netbeans.modules.cnd.refactoring.support.CsmRefactoringUtils.isElementInOpenProject
(transplanted from 511c20a6ac455ff2e853707c326dbbc1b43e21bd)
Comment 8 Alexander Pepin 2011-08-29 16:22:01 UTC
verified in 7.0.1 patch1
Comment 9 Quality Engineering 2011-09-26 13:34:52 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/511c20a6ac45
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #199012 NullPointerException at org.netbeans.modules.cnd.refactoring.support.CsmRefactoringUtils.isElementInOpenProject


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo